Subject: Re: bug#35521: Mariadb test suite failures on x86_64-linux

From: Mark H Weaver <[email-masked]>
Date: Sat, 13 Jul 2019 22:35:10 -0400

Hi Marius,

> Could it be that you don't have enough disk space for this test?  Do you
> have the log file available still?

Yes, I have not only the log file, but also the failed build directory.
My log file contains the same error in the 'tokudb_bugs.mdev4533' test:

  mysqltest: At line 6: query 'CREATE TABLE t1 (a INT(11), b CHAR(8)) ENGINE=TokuDB' failed: 1005: Can't create table `test`.`t1` (errno: 28 "No space left on device")

After the build attempt, the failed build directory is ~3.4 GB, and I
still have ~7.4 GB.  That seems to imply that I had over 10 GB free
before starting the build, which sounds about right.  I don't have a
separate /tmp partition.

I will make another build attempt, and this time I will watch the disk
utilization over time while the test suite is in progress.

I should mention that I'm using Btrfs.

      Thanks,
        Mark